### Function

# Fwupd Device problem_to_string

since: 1.8.1

#### Declaration [src]

    const gchar*
    fwupd_device_problem_to_string (
      FwupdDeviceProblem val
    )

#### Description [src]

Converts an enumerated value to a string.

Available since: 1.8.1

#### Parameters

`val`

  Type: `FwupdDeviceProblem`

  Value, e.g. `FWUPD_DEVICE_PROBLEM_SYSTEM_POWER_TOO_LOW`.

#### Return value

Type: `const gchar*`

Identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.